Bug 170942 - [GTK][jhbuild] Update glib and glib-networking to the latest stable versions
Summary: [GTK][jhbuild] Update glib and glib-networking to the latest stable versions
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Gtk (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 171058
Blocks: 170500
  Show dependency treegraph
 
Reported: 2017-04-18 04:21 PDT by Xan Lopez
Modified: 2017-04-20 09:46 PDT (History)
7 users (show)

See Also:


Attachments
[GTK][jhbuild] Update glib and glib-networking to the latest stable versions (3.93 KB, patch)
2017-04-18 04:22 PDT, Xan Lopez
cgarcia: review+
cgarcia: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews114 for mac-elcapitan (1.56 MB, application/zip)
2017-04-18 05:45 PDT, Build Bot
no flags Details
Update glib and glib-networking (5.77 KB, patch)
2017-04-19 00:56 PDT, Xan Lopez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Xan Lopez 2017-04-18 04:21:34 PDT
This is needed for MiniBrowser to be able to load any TLS certificate at all at least in Fedora. Also the versions we are using were really old, and we can drop one patch.
Comment 1 Xan Lopez 2017-04-18 04:22:54 PDT
Created attachment 307370 [details]
[GTK][jhbuild] Update glib and glib-networking to the latest stable versions
Comment 2 Alejandro G. Castro 2017-04-18 04:27:21 PDT
Comment on attachment 307370 [details]
[GTK][jhbuild] Update glib and glib-networking to the latest stable versions

View in context: https://bugs.webkit.org/attachment.cgi?id=307370&action=review

FYI this works for me.

> Tools/gtk/jhbuild.modules:-219
> -      <patch file="glib-warning-fix.patch" strip="1"/>

You probably want to remove the file of the repository.
Comment 3 Carlos Garcia Campos 2017-04-18 04:45:03 PDT
Comment on attachment 307370 [details]
[GTK][jhbuild] Update glib and glib-networking to the latest stable versions

View in context: https://bugs.webkit.org/attachment.cgi?id=307370&action=review

>> Tools/gtk/jhbuild.modules:-219
>> -      <patch file="glib-warning-fix.patch" strip="1"/>
> 
> You probably want to remove the file of the repository.

Yes, please.
Comment 4 Build Bot 2017-04-18 05:45:55 PDT
Comment on attachment 307370 [details]
[GTK][jhbuild] Update glib and glib-networking to the latest stable versions

Attachment 307370 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/3556911

New failing tests:
http/tests/inspector/network/resource-sizes-network.html
Comment 5 Build Bot 2017-04-18 05:45:57 PDT
Created attachment 307377 [details]
Archive of layout-test-results from ews114 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews114  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 6 Xan Lopez 2017-04-19 00:56:24 PDT
Created attachment 307469 [details]
Update glib and glib-networking
Comment 7 Carlos Alberto Lopez Perez 2017-04-20 02:55:13 PDT
Comment on attachment 307469 [details]
Update glib and glib-networking

Let's land this. I will watch the bots.
Comment 8 WebKit Commit Bot 2017-04-20 03:24:40 PDT
Comment on attachment 307469 [details]
Update glib and glib-networking

Clearing flags on attachment: 307469

Committed r215556: <http://trac.webkit.org/changeset/215556>
Comment 9 WebKit Commit Bot 2017-04-20 03:24:42 PDT
All reviewed patches have been landed.  Closing bug.
Comment 10 Carlos Alberto Lopez Perez 2017-04-20 09:46:12 PDT
Committed r215561: <http://trac.webkit.org/changeset/215561>